using Backend.Data;
using Backend.Models;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace Backend.Services.Interface
{
    public interface ILigneCommandeService 
    {
        Task<IEnumerable<LigneCommandeResponse>> GetAll();
        Task<int> CreateOrUpdate(LigneCommandeDto LigneCommandeDto);
        Task<int> DeleteById(Guid Id);
        Task<decimal> GetPrice(List<LigneCommande> ligneCommandes);
    }
}
